# CheckList | tablefilter v0.5.3 API Document

    import {CheckList} from 'tablefilter/src/modules/checkList.js'

public class | source

# CheckList

#### Extends:

Feature → CheckList

Checklist filter UI component

## Constructor Summary

Public Constructor
public | constructor (tf: TableFilter) Creates an instance of CheckList |

## Member Summary

Public Members
public | activateText : String Text placed in the filter's container when load filter on demand feature is enabled |
public | containerCssClass : String Css class for the container of the checklist filter (div) |
public | containers : Array List of container DOM elements |
public | disabledItemCssClass : String Css class for a disabled item of a checklist (li) |
public | enableResetOption : Boolean Enable the reset filter option as first item |
public | filterCssClass : String Css class for the checklist filter element (ul) |
public | initialized : boolean |
public | itemCssClass : String Css class for the item of a checklist (li) |
public | selectedItemCssClass : String Css class for a selected item of a checklist (li) |

## Method Summary

Public Methods
public | build (colIndex: Number, isLinked: Boolean) Build checklist UI |
public | destroy () Destroy CheckList instance |
public | getValues (colIndex: Number): Array Get filter values for a given column index |
public | init (colIndex: Number, isExternal: Boolean, container: DOMElement) Initialize checklist filter |
public | refreshAll () Refresh all checklist filters |
public | selectOptions (colIndex: Number, values: Array) Select filter options programmatically |

## Inherited Summary

From class Feature
public | config : Object TableFilter configuration |
public | emitter : Emitter TableFilter emitter instance |
public | enabled : Boolean TableFilter feature setting |
public | feature : String Feature name |
public | initialized : Boolean Field indicating whether Feature is initialized |
public | tf : TableFilter TableFilter instance |
public | destroy () Destroy the feature |
public | disable () Disable the feature |
public | enable () Enable the feature |
public | init () Initialize the feature |
public | isEnabled (): Boolean Indicate whether the feature is enabled or not |
public | reset () Reset the feature after being disabled |

## Public Constructors

### public constructor(tf: TableFilter) source

Creates an instance of CheckList

#### Override:

Feature#constructor

#### Params:

Name | Type | Attribute | Description
tf | TableFilter |  | TableFilter instance

## Public Members

### public activateText: String source

Text placed in the filter's container when load filter on demand feature is enabled

### public containerCssClass: String source

Css class for the container of the checklist filter (div)

### public containers: Array source

List of container DOM elements

### public disabledItemCssClass: String source

Css class for a disabled item of a checklist (li)

### public enableResetOption: Boolean source

Enable the reset filter option as first item

### public filterCssClass: String source

Css class for the checklist filter element (ul)

### public initialized: boolean source

#### Override:

Feature#initialized

### public itemCssClass: String source

Css class for the item of a checklist (li)

### public selectedItemCssClass: String source

Css class for a selected item of a checklist (li)

## Public Methods

### public build(colIndex: Number, isLinked: Boolean) source

Build checklist UI

#### Params:

Name | Type | Attribute | Description
colIndex | Number |  | Column index
isLinked | Boolean |  | Enable linked filters behaviour

### public destroy() source

Destroy CheckList instance

#### Override:

Feature#destroy

### public getValues(colIndex: Number): Array source

Get filter values for a given column index

#### Params:

Name | Type | Attribute | Description
colIndex | Number |  | Column index

#### Return:

Array | values Collection of selected values

### public init(colIndex: Number, isExternal: Boolean, container: DOMElement) source

Initialize checklist filter

#### Override:

Feature#init

#### Params:

Name | Type | Attribute | Description
colIndex | Number |  | Column index
isExternal | Boolean |  | External filter flag
container | DOMElement |  | Dom element containing the filter

### public refreshAll() source

Refresh all checklist filters

### public selectOptions(colIndex: Number, values: Array) source

Select filter options programmatically

#### Params:

Name | Type | Attribute | Description
colIndex | Number |  | Column index
values | Array |  | Array of option values to select